org.apache.maven.shared.io.download

## Interface DownloadManager

All Known Implementing Classes:
  DefaultDownloadManager

    public interface DownloadManager

The Download Manager interface.

### Field Summary

Fields
`static String` `ROLE` The Role.

### Method Summary

All Methods Instance Methods Abstract Methods
`File` `download(String url, List<org.apache.maven.wagon.events.TransferListener> transferListeners, MessageHolder messageHolder)`
`File` `download(String url, MessageHolder messageHolder)`

### Field Detail

#### ROLE

    static final String ROLE

The Role.

### Method Detail

#### download

    File download(String url,
                  MessageHolder messageHolder)
           throws DownloadFailedException

Parameters:
  `url` - The URL.
  `messageHolder` - `MessageHolder`
Returns:
  `File`
Throws:
  `DownloadFailedException` - in case of exception.

#### download

    File download(String url,
                  List<org.apache.maven.wagon.events.TransferListener> transferListeners,
                  MessageHolder messageHolder)
           throws DownloadFailedException

Parameters:
  `url` - The URL.
  `transferListeners` - `TransferListener`
  `messageHolder` - `MessageHolder`
Returns:
  `File`
Throws:
  `DownloadFailedException` - in case of exception.